///////////////////////////////////////////////////
// DIPSwitch.h
// part of
// DIPSwitch
// 720020-1178x
//
// Applied Data Systems
//
// Description
// -----------
// ADS boot DIP switches typically map directly to IO bits in some
// hardware on the board.  This set of classes and sample show how
// to read the state of those lines.
//
// Notes
// -----
// This sample currently only supports the BitsyX, which uses two bits
// on the SA-1111 companion chip for the switches.
// 
// History
// -------
// 720020-11781 : March 5, 04 (ctacke)
//   - Initial implementation
// 
///////////////////////////////////////////////////
#include <windows.h>

class DIPSwitch
{
	protected:
		void  *m_address;
		DWORD m_mask;
		DWORD m_shift;
		DWORD m_offset;
		DIPSwitch(DWORD address, DWORD offset, DWORD mask, DWORD shift);

	public:
		BYTE ReadSwitches();
};

class BitsyXSwitch : public DIPSwitch
{
	public:
		BitsyXSwitch();

};